# List processors

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/processors`

Returns a list of payment processors available to the application.
Filter for `visible: true` to get processors available for new connections.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Responses

### 200: List of processors

```json
{
  "processors": [
    {
      "id": "STRIPE",
      "name": "Stripe",
      "category": "RECOMMENDED",
      "visible": true,
      "oauth": true,
      "oauth_url": "string",
      "help": "string",
      "website": "string",
      "logo_url": "string",
      "instructions": "string",
      "onboarding_js": "string",
      "countries": [
        "US",
        "GB",
        "AU"
      ],
      "payment_method_types": [
        "VISA",
        "MASTERCARD",
        "AMEX"
      ],
      "priority": 0,
      "created": "2026-01-01T12:00:00Z",
      "updated": "2026-01-01T12:00:00Z"
    }
  ],
  "meta": {
    "total": 0
  }
}
```

### 401: Unauthorized

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/processors \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/listprocessors/